﻿// 
// SoapTrace.Net - A soap message monitoring utility. 
// 
// Copyright (C) 2004 Matthew Ward
// 
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// Matthew Ward (mrward@users.sourceforge.net)
// 

using System;

namespace SoapTrace.Core.ApplicationFramework
{
	/// <summary>
	/// Interface that all single instance applications must implement.
	/// </summary>
	public interface ISingleInstanceApplicationContext
	{
		/// <summary>
		/// Run the first instance of this application.
		/// </summary>
		/// <param name="args">Command line arguments used to run this
		/// application.</param>
		/// <returns>Returns the return value of the main method.</returns>
		int RunFirstInstance( string[ ] args );

		/// <summary>
		/// Run the second instance of this application.
		/// </summary>
		/// <param name="args">Command line arguments used to run this
		/// application.</param>
		/// <returns>Returns the return value of the main method.</returns>
		int RunSecondInstance( string[ ] args );
	}
}
