﻿// 
// SoapTrace.Net - A soap message monitoring utility. 
// 
// Copyright (C) 2004 Matthew Ward
// 
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// Matthew Ward (mrward@users.sourceforge.net)
// 



using System;

namespace SoapTrace.Core.Communication
{
	/// <summary>
	/// Holds the name and user friendly description of a 
	/// <see cref="WinPcap.NetworkInterface"/>
	/// </summary>
	public class NetworkInterfaceName
	{
		/// <summary>
		/// The network interface name.
		/// </summary>
		string m_Name = String.Empty;
		
		/// <summary>
		/// The user friendly description.
		/// </summary>
		string m_Description = String.Empty;
		
		/// <summary>
		/// Creates a new instance of the <see cref="NetworkInterfaceName"/>
		/// </summary>
		public NetworkInterfaceName( )
		{
		}
		
		/// <summary>
		/// Gets or sets the network interface name.
		/// </summary>
		public string Name
		{
			get
			{
				return m_Name;
			}
			
			set
			{
				m_Name = value;
			}
		}
		
		/// <summary>
		/// Gets or sets the user friendly network interface
		/// description.
		/// </summary>
		public string Description
		{
			get
			{
				return m_Description;
			}
			
			set
			{
				m_Description = value;
			}
		}	
	}
}
