//
// SoapTrace.Net - A soap message monitoring utility. 
//
// Copyright (C) 2004 Matthew Ward
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
// Matthew Ward (mrward@users.sourceforge.net)

using System;

namespace SoapTrace.Core.Communication
{
	/// <summary>
	/// An exception that occurs whilst parsing a <see cref="SoapMessage"/>.
	/// </summary>
	[ Serializable ] 
	public class SoapMessageException : ApplicationException
	{
		/// <summary>
		/// Creates a new instance of the <see cref="SoapMessageException"/>.
		/// </summary>
		public SoapMessageException( )
		{
		}
		
		/// <summary>
		/// Creates a new instance of the <see cref="SoapMessageException"/>.
		/// </summary>
		/// <param name="message">The error message that explains the reason 
		/// for the exception. </param>
		public SoapMessageException( string message )
			: base( message )
		{
			
		}
		
		/// <summary>
		/// 
		/// </summary>
		/// <param name="message">The error message that explains the reason 
		/// for the exception. </param>
		/// <param name="innerException">The exception that is the 
		/// cause of the current exception</param>
		public SoapMessageException( string message, Exception innerException )
			: base( message, innerException )
		{
		}
	}
}
