//
// SoapTrace.Net - A soap message monitoring utility.
//
// Copyright (C) 2004 Matthew Ward
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
// Matthew Ward (mrward@users.sourceforge.net)

using SoapTrace.Core.Formatters;
using System;
using NUnit.Framework;

namespace SoapTrace.Tests
{
	/// <summary>
	/// Tests the formatting of a complex type sent in a soap
	/// response by the <see cref="SoapMessageFormatter"/>
	/// </summary>
	[TestFixture]
	public class ComplexTypeResponseFormattingTestFixture
	{
		/// <summary>
		/// Gets the soap response xml.
		/// </summary>
		/// <returns>The soap response xml.</returns>
		private string GetResponseXml( )
		{
			string Xml = "<?xml version=\"1.0\" encoding=\"utf-8\"?>\r\n" +
				"<soap:Envelope xmlns:soap=\"http://schemas.xmlsoap.org/soap/envelope/\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\">\r\n" +
				"\t<soap:Body>\r\n" +
				"\t\t<ReceiveResponse xmlns=\"http://soaptrace.net/webservices\">\r\n" +
				"\t\t\t<ReceiveResult name=\"Complex type's name\">\r\n" +
				"\t\t\t\t<Value>Complex type's value</Value>\r\n" +
				"\t\t\t</ReceiveResult>\r\n" +
				"\t\t</ReceiveResponse>\r\n" +
				"\t</soap:Body>\r\n" +
				"</soap:Envelope>";
			
			return Xml;
		}
	}
}
