// 
// SoapTrace.Net - A soap message monitoring utility. 
// 
// Copyright (C) 2004-2009 Matthew Ward
// 
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// Matthew Ward (mrward@users.sourceforge.net)
// 

using SoapTrace.Core;
using System;
using System.Configuration;

namespace SoapTrace.Tests.Config
{
	/// <summary>
	/// Configuration settings for this set of tests.
	/// </summary>
	public class TestConfig
	{
		/// <summary>
		/// Config xml file app settings key for the test file path.
		/// </summary>
		public const string TestFilesPathKey = "testFilesPath";

		/// <summary>
		/// The remote server IP address app settings key.
		/// </summary>
		public const string RemoteServerIPAddressKey = "RemoteServerIPAddress";

		/// <summary>
		/// Gets the soap trace config object created from the app.config 
		/// file's config section.
		/// </summary>
		/// <returns>A soap trace config object.</returns>
		public static SoapTraceConfiguration GetSoapTraceConfig( )
		{
			return ( SoapTraceConfiguration )ConfigurationManager.GetSection( "soaptrace.config" );
		}
	}
}
