// 
// SoapTrace.Net - A soap message monitoring utility. 
// 
// Copyright (C) 2004 Matthew Ward
// 
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// Matthew Ward (mrward@users.sourceforge.net)
// 

using System;

namespace SoapTrace.Tests.Config
{
	/// <summary>
	/// Class that is used to test the XmlSerializerConfigSectionHandler
	/// object.  The section handler will serialize the xml into this class.
	/// </summary>
	public class TestConfigSection
	{
		private string m_Foo = String.Empty;
		private string m_Bar = String.Empty;

		/// <summary>
		/// Creates a new instance of the <see cref="TestConfigSection"/> class.
		/// </summary>
		public TestConfigSection( )
		{
		}

		/// <summary>
		/// Gets the foo string.
		/// </summary>
		public string Foo
		{
			get
			{
				return m_Foo;
			}

			set
			{
				m_Foo = value;
			}
		}

		/// <summary>
		/// Gets the bar string.
		/// </summary>
		public string Bar
		{
			get
			{
				return m_Bar;
			}

			set
			{
				m_Bar = value;
			}
		}
	}
}
