//
// SoapTrace.Net - A soap message monitoring utility. 
//
// Copyright (C) 2006 Matthew Ward
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
// Matthew Ward (mrward@users.sourceforge.net)

using NUnit.Framework;
using SoapTrace.Core.Formatters;
using System;

namespace SoapTrace.Tests.Lines
{
	/// <summary>
	/// Tests the <see cref="LineCollection"/> class handles a null.
	/// </summary>
	[ TestFixture ]
	public class NullLineTestFixture
	{
		/// <summary>
		/// Checks that the <see cref="LineCollection"/> throws an
		/// ArgumentNullException if we pass <see langword="null"/>
		/// to the <see cref="LineCollection.GetLines"/> method.</summary>
		[ Test ]
		[ ExpectedException( typeof( ArgumentNullException ) ) ]
		public void GetLines( )
		{
			LineCollection.GetLines( null );
			Assert.Fail( "ArgumentNullException should have been thrown before this line." );
		}
	}
}
