//
// SoapTrace.Net - A soap message monitoring utility. 
//
// Copyright (C) 2005 Matthew Ward
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
// Matthew Ward (mrward@users.sourceforge.net)


using NUnit.Framework;
using System;
using System.Drawing;
using System.Windows.Forms;

namespace SoapTrace.Tests.RichTextBoxXml
{
	/// <summary>
	/// Formats a rich text box an xml element with some text.
	/// </summary>
	[ TestFixture ]
	public class ElementTextFormatTestFixture : RichTextBoxXmlTestFixtureBase
	{
		string Text = @"<a>Hello</a>";
		
		/// <summary>
		/// Initialises each test.
		/// </summary>
		[ SetUp ]
		public void Init( )
		{
			base.Init( Text );
		}
		
		/// <summary>
		/// Checks the element text.
		/// </summary>
		[ Test ]
		public void ElementTextColour( )
		{
			Assert.AreEqual( Formatter.ElementTextColour, GetTextColour( "Hello", 3 ), 
			                "Element text colour is wrong." );
		}	
	}
}
