//
// SoapTrace.Net - A soap message monitoring utility. 
//
// Copyright (C) 2005 Matthew Ward
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
// Matthew Ward (mrward@users.sourceforge.net)


using NUnit.Framework;
using SoapTrace.Core.Formatters;
using System;
using System.Drawing;

namespace SoapTrace.Tests.TextFormatting
{
	/// <summary>
	/// Tests altering the formatting of a piece of text.
	/// </summary>
	/// <remarks>Tests the following:
	/// <code>
	/// ------- -------- 
	///           ---
	/// </code>
	/// </remarks>
	[ TestFixture ]
	public class ChangeTextColourTwoItemsTextTestFixture : TextFormattingTestFixtureBase
	{		
		/// <summary>
		/// Initialises each test.
		/// </summary>
		[ SetUp ]
		public void Init( )
		{
			// Expected result.
			ExpectedItems = new FormattedTextItemCollection( );
			ExpectedItems.Add( new FormattedTextItem( "First", Color.Blue ) );
			ExpectedItems.Add( new FormattedTextItem( "Second", Color.Red ) );
			ExpectedItems.Add( new FormattedTextItem( "Third", Color.Cyan ) );
			ExpectedItems.Add( new FormattedTextItem( "Fourth", Color.Red ) );
		
			FormattedText = new FormattedText( Color.Black );
			
			FormattedText.Append( "First", Color.Blue );
			FormattedText.Append( "SecondThirdFourth", Color.Red );
			
			FormattedText.SetColour( Color.Cyan, 
			                          ExpectedItems[ 0 ].Text.Length + ExpectedItems[ 1 ].Text.Length, 
			                          ExpectedItems[ 2 ].Text.Length );
		}		
	}
}
