// 
// SoapTrace.Net - A soap message monitoring utility. 
// 
// Copyright (C) 2004 Matthew Ward
// 
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// Matthew Ward (mrward@users.sourceforge.net)
// 

using SoapTrace.Core.Communication;
using System;
using WinPcap;

namespace SoapTrace.Tests
{
	/// <summary>
	/// A class that derives from <see cref="SoapPacketMonitor"/>
	/// in order to allow us to test the processing of tcp data packets
	/// without using any low level winpcap calls.
	/// </summary>
	public class DerivedSoapPacketMonitor : SoapPacketMonitor
	{
		/// <summary>
		/// Creates an instance of the <see cref="DerivedSoapPacketMonitor"/>
		/// class.
		/// </summary>
		public DerivedSoapPacketMonitor( )
		{
		}
		
		/// <summary>
		/// Sends the tcp packet's data bytes to the 
		/// <see cref="SoapPacketMonitor"/> for processing.
		/// </summary>
		/// <param name="bytes">The tcp packet's bytes.</param>
		public void ProcessPacket( byte[ ] bytes )
		{
			EthernetPacket Packet = new EthernetPacket( bytes );
			
			base.ProcessPacket( Packet );
		}
	}
}
