//
// SoapTrace.Net - A soap message monitoring utility. 
//
// Copyright (C) 2005 Matthew Ward
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
// Matthew Ward (mrward@users.sourceforge.net)

using SoapTrace.Core.Communication;
using System;

namespace SoapTrace
{
	/// <summary>
	/// Handler for the Matched response event.
	/// </summary>
	public delegate void MatchedResponseEventHandler( object sender, MatchedResponseEventArgs e );

	/// <summary>
	/// Matched response event arguments.
	/// </summary>
	public class MatchedResponseEventArgs : EventArgs
	{
		private SoapRequestAndResponse m_Item;
		
		/// <summary>
		/// Creates a new instance of the 
		/// <see cref="MatchedResponseEventArgs"/> class.
		/// </summary>
		public MatchedResponseEventArgs( )
		{
		}	
		
		/// <summary>
		/// Gets the request and response.
		/// </summary>
		public SoapRequestAndResponse Item
		{
			get
			{
				return m_Item;
			}
			
			set
			{
				m_Item = value;
			}
		}
	}
}
