﻿//
// SoapTrace.Net - A soap message monitoring utility. 
//
// Copyright (C) 2005-2009 Matthew Ward
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
// Matthew Ward (mrward@users.sourceforge.net)

namespace SoapTrace
{
	partial class SoapMessagesView
	{
		/// <summary>
		/// Designer variable used to keep track of non-visual components.
		/// </summary>
		private System.ComponentModel.IContainer components = null;
		
		/// <summary>
		/// Disposes resources used by the form.
		/// </summary>
		/// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
		protected override void Dispose(bool disposing)
		{
			if (disposing) {
				if (components != null) {
					components.Dispose();
				}
			}
			base.Dispose(disposing);
		}
		
		/// <summary>
		/// This method is required for Windows Forms designer support.
		/// Do not change the method contents inside the source code editor. The Forms designer might
		/// not be able to load this method if it was changed manually.
		/// </summary>
		private void InitializeComponent()
		{
			this.RequestTextBox = new System.Windows.Forms.RichTextBox();
			this.SourceColumnHeader = new System.Windows.Forms.ColumnHeader();
			this.VerticalSplitter = new System.Windows.Forms.Splitter();
			this.HorizontalSplitter = new System.Windows.Forms.Splitter();
			this.WebServiceColumnHeader = new System.Windows.Forms.ColumnHeader();
			this.RequestPanel = new System.Windows.Forms.Panel();
			this.MessagesListViewPanel = new System.Windows.Forms.Panel();
			this.MessagesListView = new System.Windows.Forms.ListView();
			this.WebServiceOperationColumnHeader = new System.Windows.Forms.ColumnHeader();
			this.ResponseTextBox = new System.Windows.Forms.RichTextBox();
			this.TimeColumnHeader = new System.Windows.Forms.ColumnHeader();
			this.ResponsePanel = new System.Windows.Forms.Panel();
			this.RequestPanel.SuspendLayout();
			this.MessagesListViewPanel.SuspendLayout();
			this.ResponsePanel.SuspendLayout();
			this.SuspendLayout();
			// 
			// RequestTextBox
			// 
			this.RequestTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
						| System.Windows.Forms.AnchorStyles.Left) 
						| System.Windows.Forms.AnchorStyles.Right)));
			this.RequestTextBox.HideSelection = false;
			this.RequestTextBox.Location = new System.Drawing.Point(0, 0);
			this.RequestTextBox.Name = "RequestTextBox";
			this.RequestTextBox.Size = new System.Drawing.Size(356, 136);
			this.RequestTextBox.TabIndex = 0;
			this.RequestTextBox.Text = "";
			this.RequestTextBox.TextChanged += new System.EventHandler(this.RequestTextBoxTextChanged);
			// 
			// SourceColumnHeader
			// 
			this.SourceColumnHeader.Text = "Source";
			this.SourceColumnHeader.Width = 100;
			// 
			// VerticalSplitter
			// 
			this.VerticalSplitter.Location = new System.Drawing.Point(200, 0);
			this.VerticalSplitter.Name = "VerticalSplitter";
			this.VerticalSplitter.Size = new System.Drawing.Size(4, 280);
			this.VerticalSplitter.TabIndex = 2;
			this.VerticalSplitter.TabStop = false;
			// 
			// HorizontalSplitter
			// 
			this.HorizontalSplitter.Dock = System.Windows.Forms.DockStyle.Top;
			this.HorizontalSplitter.Location = new System.Drawing.Point(204, 135);
			this.HorizontalSplitter.MinExtra = 10;
			this.HorizontalSplitter.MinSize = 10;
			this.HorizontalSplitter.Name = "HorizontalSplitter";
			this.HorizontalSplitter.Size = new System.Drawing.Size(356, 4);
			this.HorizontalSplitter.TabIndex = 4;
			this.HorizontalSplitter.TabStop = false;
			// 
			// WebServiceColumnHeader
			// 
			this.WebServiceColumnHeader.Text = "Web Service";
			this.WebServiceColumnHeader.Width = 200;
			// 
			// RequestPanel
			// 
			this.RequestPanel.Controls.Add(this.RequestTextBox);
			this.RequestPanel.Dock = System.Windows.Forms.DockStyle.Top;
			this.RequestPanel.Location = new System.Drawing.Point(204, 0);
			this.RequestPanel.Name = "RequestPanel";
			this.RequestPanel.Size = new System.Drawing.Size(356, 135);
			this.RequestPanel.TabIndex = 3;
			// 
			// MessagesListViewPanel
			// 
			this.MessagesListViewPanel.Controls.Add(this.MessagesListView);
			this.MessagesListViewPanel.Dock = System.Windows.Forms.DockStyle.Left;
			this.MessagesListViewPanel.Location = new System.Drawing.Point(0, 0);
			this.MessagesListViewPanel.Name = "MessagesListViewPanel";
			this.MessagesListViewPanel.Size = new System.Drawing.Size(200, 280);
			this.MessagesListViewPanel.TabIndex = 1;
			// 
			// MessagesListView
			// 
			this.MessagesListView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
						| System.Windows.Forms.AnchorStyles.Left) 
						| System.Windows.Forms.AnchorStyles.Right)));
			this.MessagesListView.Columns.AddRange(new System.Windows.Forms.ColumnHeader[] {
						this.TimeColumnHeader,
						this.WebServiceOperationColumnHeader,
						this.WebServiceColumnHeader,
						this.SourceColumnHeader});
			this.MessagesListView.FullRowSelect = true;
			this.MessagesListView.HideSelection = false;
			this.MessagesListView.Location = new System.Drawing.Point(0, 0);
			this.MessagesListView.MultiSelect = false;
			this.MessagesListView.Name = "MessagesListView";
			this.MessagesListView.Size = new System.Drawing.Size(200, 279);
			this.MessagesListView.TabIndex = 0;
			this.MessagesListView.View = System.Windows.Forms.View.Details;
			this.MessagesListView.SelectedIndexChanged += new System.EventHandler(this.MessagesListViewSelectedIndexChanged);
			// 
			// WebServiceOperationColumnHeader
			// 
			this.WebServiceOperationColumnHeader.Text = "Operation";
			this.WebServiceOperationColumnHeader.Width = 100;
			// 
			// ResponseTextBox
			// 
			this.ResponseTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
						| System.Windows.Forms.AnchorStyles.Left) 
						| System.Windows.Forms.AnchorStyles.Right)));
			this.ResponseTextBox.Location = new System.Drawing.Point(0, 0);
			this.ResponseTextBox.Name = "ResponseTextBox";
			this.ResponseTextBox.ReadOnly = true;
			this.ResponseTextBox.Size = new System.Drawing.Size(356, 139);
			this.ResponseTextBox.TabIndex = 1;
			this.ResponseTextBox.Text = "";
			// 
			// TimeColumnHeader
			// 
			this.TimeColumnHeader.Text = "Time";
			this.TimeColumnHeader.Width = 108;
			// 
			// ResponsePanel
			// 
			this.ResponsePanel.Controls.Add(this.ResponseTextBox);
			this.ResponsePanel.Dock = System.Windows.Forms.DockStyle.Fill;
			this.ResponsePanel.Location = new System.Drawing.Point(204, 139);
			this.ResponsePanel.Name = "ResponsePanel";
			this.ResponsePanel.Size = new System.Drawing.Size(356, 141);
			this.ResponsePanel.TabIndex = 5;
			// 
			// SoapMessagesView
			// 
			this.Controls.Add(this.ResponsePanel);
			this.Controls.Add(this.HorizontalSplitter);
			this.Controls.Add(this.RequestPanel);
			this.Controls.Add(this.VerticalSplitter);
			this.Controls.Add(this.MessagesListViewPanel);
			this.Name = "SoapMessagesView";
			this.Size = new System.Drawing.Size(560, 280);
			this.RequestPanel.ResumeLayout(false);
			this.MessagesListViewPanel.ResumeLayout(false);
			this.ResponsePanel.ResumeLayout(false);
			this.ResumeLayout(false);
		}
		private System.Windows.Forms.Panel ResponsePanel;
		private System.Windows.Forms.ColumnHeader TimeColumnHeader;
		private System.Windows.Forms.RichTextBox ResponseTextBox;
		private System.Windows.Forms.ColumnHeader WebServiceOperationColumnHeader;
		private System.Windows.Forms.ListView MessagesListView;
		private System.Windows.Forms.Panel MessagesListViewPanel;
		private System.Windows.Forms.Panel RequestPanel;
		private System.Windows.Forms.ColumnHeader WebServiceColumnHeader;
		private System.Windows.Forms.Splitter HorizontalSplitter;
		private System.Windows.Forms.Splitter VerticalSplitter;
		private System.Windows.Forms.ColumnHeader SourceColumnHeader;
		private System.Windows.Forms.RichTextBox RequestTextBox;
	}
}
