﻿// 
// SoapTrace.Net - A soap message monitoring utility. 
// 
// Copyright (C) 2004 Matthew Ward
// 
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// Matthew Ward (mrward@users.sourceforge.net)
// 

using System;
using System.Diagnostics;
using System.Xml.Serialization;
using WinPcap;
using WinPcap.Tests.Utils;

namespace WinPcap.Tests.Configuration
{
	/// <summary>
	/// Configuration section object for these set of tests.
	/// </summary>
	public class TestConfigSection
	{
		/// <summary>
		/// A collection of network interface info objects.
		/// </summary>
		private NetworkInterfaceInfoCollection m_NetworkInterfaces = 
			new NetworkInterfaceInfoCollection( );

		/// <summary>
		/// Creates a new instance of this class.
		/// </summary>
		public TestConfigSection( )
		{
		}

		/// <summary>
		/// Gets or sets the expected network interfaces on this
		/// local machine.
		/// </summary>
		[ XmlElement( "NetworkInterface" ) ]
		public NetworkInterfaceInfoCollection NetworkInterfaces
		{
			[ DebuggerStepThrough ]
			get
			{	
				return m_NetworkInterfaces;
			}

			[ DebuggerStepThrough ]
			set
			{
				m_NetworkInterfaces = value;
			}
		}

	}
}
