﻿// 
// SoapTrace.Net - A soap message monitoring utility. 
// 
// Copyright (C) 2004 Matthew Ward
// 
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// Matthew Ward (mrward@users.sourceforge.net)
// 

using System;
using System.Collections;
using System.Diagnostics;

namespace WinPcap.Tests.Utils
{
	/// <summary>
	/// Collection of NetworkInterfaceInfo objects.
	/// </summary>
	public class NetworkInterfaceInfoCollection : CollectionBase
	{
		/// <summary>
		/// Creates a new instance of this class.
		/// </summary>
		public NetworkInterfaceInfoCollection( )
		{
		}

		/// <summary>
		/// Gets or sets the network interface info object
		/// at the specified index.
		/// </summary>
		public NetworkInterfaceInfo this[ int index ]
		{
			[ DebuggerStepThrough ]
			get
			{
				return ( NetworkInterfaceInfo )InnerList[ index ];
			}

			[ DebuggerStepThrough ]
			set
			{
				InnerList[ index ] = value;
			}
		}

		/// <summary>
		/// Adds an item to the collection.
		/// </summary>
		/// <param name="item">The NetworkInterfaceInfo object to add</param>
		public void Add( NetworkInterfaceInfo item )
		{
			InnerList.Add( item );
		}
	}
}
