//
// WinPcap.net
//
// Copyright (C) 2005 Matthew Ward
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
// Matthew Ward (mrward@users.sourceforge.net)


using System;

namespace WinPcap
{
	/// <summary>
	/// Provides data for the <see cref="NetworkInterface.PacketReceived"/> event.
	/// </summary>
	public class PacketReceivedEventArgs : EventArgs
	{		
		/// <summary>
		/// The packet associated with the event.
		/// </summary>
		Packet m_Packet;
		
		/// <summary>
		/// Creates a new instance of the <see cref="PacketReceivedEventArgs"/>
		/// </summary>
		public PacketReceivedEventArgs( )
		{
		}
		
		/// <summary>
		/// Creates a new instance of the 
		/// <see cref="PacketReceivedEventArgs"/>
		/// </summary>
		/// <param name="packet">The packet associated with the
		/// <see cref="NetworkInterface.PacketReceived"/> event.
		/// </param>
		public PacketReceivedEventArgs( Packet packet )
		{
			m_Packet = packet;
		}
			
		/// <summary>
		/// Gets or sets the packet associated with the event.
		/// </summary>
		public Packet Packet
		{
			get
			{
				return m_Packet;
			}
			
			set
			{
				m_Packet = value;
			}
		}
	}
}
